Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.arjuna.coordinator
Class TxStats

    java.lang.Object
      com.arjuna.ats.arjuna.coordinator.TxStats

public class TxStats
extends java.lang.Object

This class is used to maintain statistics on transactions that have been created. This includes the number of transactions, their termination status (committed or rolled back), ...

Since:
  JTS 2.1.
Version:
  $Id: TxStats.html,v 1.1 2008/01/04 06:52:39 afitzsim Exp $
Author:
  Mark Little (mark@arjuna.com)

Constructor Summary
`TxStats()`

Method Summary
`static int` | `numberOfAbortedTransactions()`
`static int` | `numberOfCommittedTransactions()`
`static int` | `numberOfHeuristics()`
`static int` | `numberOfNestedTransactions()`
`static int` | `numberOfTransactions()`
`static void` | `printStatus(java.io.PrintWriter pw)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TxStats

    public TxStats()

Method Detail

### numberOfTransactions

    public static int numberOfTransactions()

  Returns:
    the number of transactions (top-level and nested) created so far.

### numberOfNestedTransactions

    public static int numberOfNestedTransactions()

  Returns:
    the number of nested (sub) transactions created so far.

### numberOfHeuristics

    public static int numberOfHeuristics()

  Returns:
    the number of transactions which have terminated with heuristic outcomes.

### numberOfCommittedTransactions

    public static int numberOfCommittedTransactions()

  Returns:
    the number of committed transactions.

### numberOfAbortedTransactions

    public static int numberOfAbortedTransactions()

  Returns:
    the number of transactions which have rolled back.

### printStatus

    public static void printStatus(java.io.PrintWriter pw)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD